org.keycloak.adapters

## Class ServerRequest

- java.lang.Object
- - org.keycloak.adapters.ServerRequest

-     public class ServerRequest
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ServerRequest.HttpFailure`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerRequest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `error(int status, org.apache.http.HttpEntity entity)`
    `static AccessTokenResponse` | `invokeAccessCodeToToken(org.apache.http.client.HttpClient client, boolean publicClient, String code, String codeUrl, String redirectUri, String client_id, Map<String,String> credentials, String sessionId)`
    `static AccessTokenResponse` | `invokeAccessCodeToToken(KeycloakDeployment deployment, String code, String redirectUri, String sessionId)`
    `static void` | `invokeClientManagementRequest(org.apache.http.client.HttpClient client, String host, String endpointUrl, String clientId, Map<String,String> credentials)`
    `static void` | `invokeLogout(KeycloakDeployment deployment, String refreshToken)`
    `static AccessTokenResponse` | `invokeRefresh(org.apache.http.client.HttpClient client, boolean publicClient, String refreshToken, String refreshUrl, String client_id, Map<String,String> credentials)`
    `static AccessTokenResponse` | `invokeRefresh(KeycloakDeployment deployment, String refreshToken)`
    `static void` | `invokeRegisterNode(KeycloakDeployment deployment, String host)`
    `static void` | `invokeUnregisterNode(KeycloakDeployment deployment, String host)`
    `protected static String` | `stripOauthParametersFromRedirect(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerRequest

          public ServerRequest()

  - ### Method Detail

    - #### invokeLogout

          public static void invokeLogout(KeycloakDeployment deployment,
                          String refreshToken)
                                   throws IOException,
                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeAccessCodeToToken

          public static AccessTokenResponse invokeAccessCodeToToken(KeycloakDeployment deployment,
                                                    String code,
                                                    String redirectUri,
                                                    String sessionId)
                                                             throws ServerRequest.HttpFailure,
                                                                    IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### invokeAccessCodeToToken

          public static AccessTokenResponse invokeAccessCodeToToken(org.apache.http.client.HttpClient client,
                                                    boolean publicClient,
                                                    String code,
                                                    String codeUrl,
                                                    String redirectUri,
                                                    String client_id,
                                                    Map<String,String> credentials,
                                                    String sessionId)
                                                             throws IOException,
                                                                    ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeRefresh

          public static AccessTokenResponse invokeRefresh(KeycloakDeployment deployment,
                                          String refreshToken)
                                                   throws IOException,
                                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeRefresh

          public static AccessTokenResponse invokeRefresh(org.apache.http.client.HttpClient client,
                                          boolean publicClient,
                                          String refreshToken,
                                          String refreshUrl,
                                          String client_id,
                                          Map<String,String> credentials)
                                                   throws IOException,
                                                          ServerRequest.HttpFailure

      Throws:
        `IOException`
        `ServerRequest.HttpFailure`

    - #### invokeRegisterNode

          public static void invokeRegisterNode(KeycloakDeployment deployment,
                                String host)
                                         throws ServerRequest.HttpFailure,
                                                IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### invokeUnregisterNode

          public static void invokeUnregisterNode(KeycloakDeployment deployment,
                                  String host)
                                           throws ServerRequest.HttpFailure,
                                                  IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### invokeClientManagementRequest

          public static void invokeClientManagementRequest(org.apache.http.client.HttpClient client,
                                           String host,
                                           String endpointUrl,
                                           String clientId,
                                           Map<String,String> credentials)
                                                    throws ServerRequest.HttpFailure,
                                                           IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### error

          public static void error(int status,
                   org.apache.http.HttpEntity entity)
                            throws ServerRequest.HttpFailure,
                                   IOException

      Throws:
        `ServerRequest.HttpFailure`
        `IOException`

    - #### stripOauthParametersFromRedirect

          protected static String stripOauthParametersFromRedirect(String uri)

Copyright © 2015. All Rights Reserved.